Skip to main content
GET
/
lite
/
number-search
/
{countryISO}
/
{companyNumber}
Search by Registration Number
curl --request GET \
  --url https://rest.kyckr.com/lite/number-search/{countryISO}/{companyNumber} \
  --header 'Authorization: <api-key>'
import requests

url = "https://rest.kyckr.com/lite/number-search/{countryISO}/{companyNumber}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://rest.kyckr.com/lite/number-search/{countryISO}/{companyNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "companiesField": [
    {
      "addressesField": [
        {
          "countryField": "IRELAND",
          "lineField": [
            {
              "lineField": "",
              "typeField": "",
              "typeCodeField": ""
            }
          ],
          "addressLine1Field": "ARC LABS RESEARCH CENTER",
          "addressLine2Field": "WIT WEST CAMPUS",
          "addressLine3Field": "CARRIGANORE WATERFORD",
          "addressLine4Field": "CO WATERFORD, WATERFORD, IRELAND",
          "postcodeField": "",
          "cityTownField": "",
          "regionStateField": ""
        }
      ],
      "codeField": "436024",
      "companyIDField": "436024",
      "legalFormField": "LTD - Private Company Limited by Shares",
      "legalStatusField": "Normal ",
      "nameField": "KYCKR IRELAND LIMITED",
      "officialField": false,
      "incorporationDateField": "01-03"
    }
  ],
  "transactionIdField": "10171668",
  "responseCodeField": 100
}

Authorizations

Authorization
string
header
required

Path Parameters

countryISO
string
required

2-digit ISO country code

companyNumber
string
required

Registration number of the company you are searching for

Query Parameters

orderRef
string

Optional client order reference

Response

200 - application/json

Searches will return an array of company details.

companiesField
object[]
read-only
responseCodeField
number
read-only
transactionIdField
string
read-only